summaryrefslogtreecommitdiff
path: root/app/lzo/util/overlap.sh
diff options
context:
space:
mode:
authorParménides GV <parmegv@sdf.org>2014-04-09 16:03:55 +0200
committerParménides GV <parmegv@sdf.org>2014-04-09 16:07:34 +0200
commit1684c8f398922065a97e7da4dac4ac6a33cc5218 (patch)
tree76a4b11ae0d7b217c088f3c2b8fc7e69a7b8ae0d /app/lzo/util/overlap.sh
parentb9a2b085a8f508cd09e2639c70be845c992c4a3e (diff)
Back to the standard "app" module.
This return to "app" instead of "bitmask_android" is due to this reading: https://developer.android.com/sdk/installing/studio-build.html#projectStructure I'll have to tweak the final apk name in build.gradle.
Diffstat (limited to 'app/lzo/util/overlap.sh')
-rw-r--r--app/lzo/util/overlap.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/app/lzo/util/overlap.sh b/app/lzo/util/overlap.sh
new file mode 100644
index 00000000..727c86f1
--- /dev/null
+++ b/app/lzo/util/overlap.sh
@@ -0,0 +1,27 @@
+#! /bin/sh
+set -e
+
+#
+# usage: util/overlap.sh [directory]
+#
+# This script runs the overlap example program on a complete directory tree.
+#
+# Copyright (C) 1996-2011 Markus Franz Xaver Johannes Oberhumer
+#
+
+OVERLAP="overlap"
+test -x ./examples/overlap && OVERLAP="./examples/overlap"
+test -x ./overlap.exe && OVERLAP="./overlap.exe"
+
+dir="${*-.}"
+
+TMPFILE="/tmp/lzo_$$.tmp"
+rm -f $TMPFILE
+(find $dir/ -type f -print0 > $TMPFILE) || true
+
+cat $TMPFILE | xargs -0 -r $OVERLAP
+
+rm -f $TMPFILE
+echo "Done."
+exit 0
+